void prints(short val);

int main()
{
  unsigned short i, finish;

  for (i = -2; (short)i < 3; i++) {
    finish = 0;
    do {
      if (finish) {
	prints(i);
	break;
      }
      finish = 1;
    } while (i);
  }

  return 0;
}
